Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Matthias_H_Intel
Employee
1,888 Views

XDK - "module did not self-register"

Hi,

the XDK debugger showed me an issue that with the installed npm version some debug features weren't supported. Hence I upgraded nodejs (using AlexT_Intel repo) to

http://repo.opkg.net/edison/repo/core2-32/nodejs-dbg_0.12.7-r1_core2-32.ipk nodejs-dbg_0.12.7-r1_core2-32.ipk 02-Sep-2015 13:51 60M

http://repo.opkg.net/edison/repo/core2-32/nodejs-dev_0.12.7-r1_core2-32.ipk nodejs-dev_0.12.7-r1_core2-32.ipk 02-Sep-2015 13:51 2.8M

http://repo.opkg.net/edison/repo/core2-32/nodejs-doc_0.12.7-r1_core2-32.ipk nodejs-doc_0.12.7-r1_core2-32.ipk 02-Sep-2015 13:51 6.1K

http://repo.opkg.net/edison/repo/core2-32/nodejs-npm_0.12.7-r1_core2-32.ipk nodejs-npm_0.12.7-r1_core2-32.ipk 02-Sep-2015 13:51 2.1M

http://repo.opkg.net/edison/repo/core2-32/nodejs_0.12.7-r1_core2-32.ipk nodejs_0.12.7-r1_core2-32.ipk 02-Sep-2015 13:51 2.9M

After that xdk doesn't even start the xdkBlink sample (see screen below). In addition, the debugger claims:

"Error: Cannot find module '/opt/xdk-daemon/current/node-inspector-server/node_modules/v8-debug/build/debug/v0.4.6/node-v14-linux-ia32/debug.node'

What am I missing?

Starting xdk-daemon now!

Intel XDK - IoT App Daemon v0.0.37 - commands: run, list, debug, status

ERROR: module.js:355

Module._extensions[extension](this, filename);

^

Error: Module did not self-register.

at Error (native)

at Module.load (module.js:355:32)

at Function.Module._load (module.js:310:12)

at Module.require (module.js:365:17)

at require (module.js:384:17)

at Object. (/home/root/.node_app_slot/main.js:20:12)

at Module._compile (module.js:460:26)

at Object.Module._extensions..js (module.js:478:10)

Tags (1)
0 Kudos
5 Replies
Matthias_H_Intel
Employee
79 Views

btw: npm rebuild didn't help

Matthias_H_Intel
Employee
79 Views

a, found the other thread (and finally remember it again ;-)):

but solution described there don't help.

I even bitbaked xdk-daemon 0.0.37 from scratch and opkg installed - still same effect

Matthias_H_Intel
Employee
79 Views

it required to install on the target from xdk-daemon 0.0.37 tarball to make it run. Also mraa requires a npm-gyp rebuild

Matthias_H_Intel
Employee
79 Views

mraa doesn't seem to support node 0.12.x.

AT9
Honored Contributor II
79 Views

> mraa doesn't seem to support node 0.12.x.

That is not the case, node 0.12.x is supported, feel free to submit a bug on GitHub if you still see problems with this.

Reply